import {
  IconBuildingWarehouse,
  IconDashboard,
  IconMapPin,
} from '@tabler/icons-react'
import { PathConstants } from './routes'

export const NAV_ITEM = (t, admin = false) => [
  {
    pathName: PathConstants.DASHBOARD,
    show: admin,
    icon: IconDashboard,
    text: t('ui_dashboard'),
  },
  {
    pathName: PathConstants.LOCATION,
    show: true,
    icon: IconMapPin,
    text: t('ui_house'),
  },
  {
    pathName: PathConstants.WAREHOUSE,
    show: false,
    icon: IconBuildingWarehouse,
    text: t('ui_warehouse'),
  },
]
